import ToolBar from "./ToolBar"
import SettingsPicture from "./SettingsPicture"
import SettingsMenu from "./SettingsMenu"

interface ISettingsBar {
  setSelectedIndex: (selectedIndex: number | null) => void,
  handleClick:() => void
}

const SettingsBar = ({setSelectedIndex,handleClick}:ISettingsBar) => {
  return (
    <div style={{backgroundColor: '#f3f2f2',height:'100%',width:'100%'}}>
      <ToolBar setSelectedIndex={setSelectedIndex} handleClick={handleClick}/>
      <SettingsPicture />
      <SettingsMenu/>
    </div>
    )
}

export default SettingsBar